Subject: RE: RFC 2534 list of ua-media and paper-size values

From: "Herriot, Robert" <[email-masked]>
Date: Tue, 19 Oct 1999 18:31:05 -0700

It doesn't seem reasonable to merge the values of HTML "media" and IPP
"media". The former describes media in a large sense. The latter desribes
media in the context of a printer.

I agree that all of the print related values of RFC 2534 should be
deprecated and that the word "print" should be used instead as a value of
"media"  It would be reasonable to add a new attribute "print-media" which
contains the values of the IPP "media" attribute.

Bob Herriot

-----Original Message-----
From: Al Gilman [mailto:[email-masked]]
Sent: Friday, October 15, 1999 9:34 PM
To: Larry Masinter; [email-masked]
Cc: Conneg WG; Carl-Uno Manros; Bob Herriot; Johan Hjelm;
[email-masked]; [email-masked]
Subject: RE: RFC 2534 list of ua-media and paper-size values

At 02:28 PM 10/15/99 -0700, Larry Masinter wrote:
>Here's a cut at vocabulary alignment between HTML and RFC 2534.
>
>HTML screen: arguably the same as RFC2534 screen
>HTML tty: no analog; add this to RFC 2534
>HTML tv: combines several media features. I suggest changing RFC 2534
>         'screen-paged' to add "or which has limited scrolling
capabilities"
>         to "which cannot scroll", and then defining HTML tv as
>         'screen-paged', color=full and some description of
>         pix-x & pix-y
>HTML projection: is this a kind of 'screen'? Or we should register it? 

Close match to screen-paged.  But note that for projection one uses larger
fonts, so projection is an issue in itself.  See also

<http://www.w3.org/TR/REC-CSS2/media.html#media-types>.

>HTML handheld: No media feature for "limited bandwidth"; maybe we need
>         some feature to describe size in bytes, e.g., 'docsize<2000' ?
>         otherwise (small screen, monochrome, bitmapped graphics)
>         corresponds to ua-media=screen,pix-x<200,pix-y<200,color=binary
>HTML print: sort of like 2534 stationery. In retrospect, I wonder about the
>         RFC 2534 distinction with 'transparency', 'envelope', 
>         'envelope-plain' is useful. I was trying to be compatible
>         with the printer mib, but it's not really "ua-media".
>         'continuous' might have been useful for fax if it really
>         denoted 'roll paper', but the definition there says
>         'continuously connected sheets of opaque material' which
>         makes it sound like it's paged.
>
>HTML braille, aural:  these aren't in RFC 2534, and probably should
>         be.
>
>If we add 'print', we could eliminate or deprecate 'stationery',
>'envelope', 'envelope-plain', 'transparency' and 'continuous' in
>favor of recognizing 'print', then the relationship with IPP is
>clearer, since most of the IPP media types are a kind of 'print'.
>
>Summary of changes to RFC 2534 UA-Media
>    add 'tty'
>    modify 'screen-paged' to note "or limited scroll capabilities"
>    add 'projection'
>    add 'print' as "any kind of printed material".
>    deprecate 'continous', 'transparency', 'envelope', and
'envelope-plain';
>      note that these are kinds of 'print'. Note that
>      continuous rolls might be noted as 'print' with no pix-y limit.
>    add 'braille' and 'aural' with the same definitions as in HTML 4.0.
>
>For alignment with IPP, we'll need to update RFC 2534 paper sizes
>(mainly adding values), add feature(s) for paper color(ed), and then
>describe IPP media primarily as "print". Maybe 'continuous',
>'transparency', 'envelope' and 'envelope-plain' are all parts
>of some (new) paper-type feature.
>

---

From: "Larry Masinter" <[email-masked]>
Date: Tue, 19 Oct 1999 20:41:53 PDT

> It doesn't seem reasonable to merge the values of HTML "media" and 
> IPP "media". 

I didn't propose "merge", I proposed "align". In particular, to avoid
overlapping. And actually, I propose leaving HTML "media" more or
less alone, but fixing up RFC 2534 "ua-media".

> It would be reasonable to add a new attribute 
> "print-media" which contains the values of the IPP "media" attribute.

I'm not sure that wholesale import of IPP's "media" attribute
is appropriate, since it includes both the nature of the media
and paper sizes. So IPP's media would turn into a revised
list of print-media plus another paper-size attribute.